#include <iostream>
#include <structure.h>

PointMap* load_point_map(const char *filename, PointMap *map, double scale);
void release_point_map(PointMap *map);

LineMap* load_line_map(const char *filename, LineMap *map, double scale);
void release_line_map(LineMap *map);
void convert_linemap_to_pointmap(LineMap *map, PointMap *pmap, double resolution);

OccupancyGridMap* load_occupancy_grid_map(const char *filename, OccupancyGridMap *map);
void release_occupancy_gridmap(OccupancyGridMap *map);
void convert_occupancy_gridmap_to_pointmap(OccupancyGridMap *ogmap, PointMap *pmap, unsigned char threshold);

void release_maps(MapData *map);
